package cn.iocoder.yudao.module.inspection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.iocoder.yudao.module.inspection.entity.InspectionNews;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-03
 */
@Mapper
public interface InspectionNewsMapper extends BaseMapper<InspectionNews>
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public InspectionNews selectInspectionNewsById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param inspectionNews 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public IPage<InspectionNews> selectInspectionNewsList(Page<InspectionNews> page, @Param("vo") InspectionNews inspectionNews);

    /**
     * 新增【请填写功能名称】
     *
     * @param inspectionNews 【请填写功能名称】
     * @return 结果
     */
    public int insertInspectionNews(InspectionNews inspectionNews);

    /**
     * 修改【请填写功能名称】
     *
     * @param inspectionNews 【请填写功能名称】
     * @return 结果
     */
    public int updateInspectionNews(InspectionNews inspectionNews);

    /**
     * 修改【请填写功能名称】
     *
     * @param id 【新闻id】
     * @return 结果
     */
    public int updateInspectionNewsById(Long id);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteInspectionNewsById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInspectionNewsByIds(Long[] ids);



    //新增阅读数量
    void addReadNum(Long id);
    IPage<InspectionNews> collectionNews(Page<InspectionNews> page, @Param("userId") Long userId,@Param("newsName")String newsName);
    Integer newMsgNum(@Param("partnerId") Long partnerId);
    IPage<InspectionNews> msgList(Page<InspectionNews> page, @Param("partnerId") Long partnerId);
    List<String> listGfClass(@Param("type") String type);
}
